QT = core network
QT -= gui

CONFIG += c++17 cmdline

TARGET = TDAgent
TEMPLATE = lib

unix{
}
else{
    DESTDIR = $$PWD/../lib
}

DEFINES += TDEGENT_LIBRARY

INCLUDEPATH += include
INCLUDEPATH += ../include
LIBS += -L$$PWD/lib/ -ltaos

HEADERS += \
    TDAgent.h \
    TDengine.h

SOURCES += \
    TDAgent.cpp \
    TDengine.cpp
